-- Owen Ouimette LevelBuddy 2016

-- DONT DELETE THESE TOP COMMENT DASHES

-- To change the song that plays get the file you want then make sure you can see the
-- file extensions. Change .mp3 (.mov .mp4 etc) to .ogg. Then put the .ogg into LB_Cheer.
-- Rename PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Hotel.ogg") from instead of Hotel.ogg to your 
-- song then save. I'd recommend putting Coin.ogg or cheer.ogg on top but if you want to
-- completely disable either sound put 2 dashes in front of PlaySoundFile.

-- I've already put multiple songs into the LB_Cheer folder.

-- Haha this was going to be a UI addon =P

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="debug" then
		print("Nothing here yet!")
        end
end);

print ("Hello!")
SLASH_RELOADUI1 = "/rl"
SlashCmdList.RELOADUI = ReloadUI
SLASH_FRAMESTK1 = "/fs"; -- for quicker access to frame stack
SlashCmdList.FRAMESTK = function()
 LoadAddOn("Blizzard_DebugTools");
 FrameStackTooltip_Toggle();
end

for i = 1, NUM_CHAT_WINDOWS do
 _G["ChatFrame" .. i .. "EditBox"]:SetAltArrowKeyMode(false);
end
------------------------------------------------------------------------

local UIConfig = CreateFrame("Frame", "MUI_BuffFrame", UIParent, "BasicFrameTemplateWithInset");
UIConfig:SetSize(235, 150);
UIConfig:SetPoint("LEFT", UIParent, "LEFT");

-----

UIConfig.title = UIConfig:CreateFontString(nil, "OVERLAY")
UIConfig.title:SetFontObject("GameFontHighlight")
UIConfig.title:SetPoint("LEFT", UIConfig.TitleBg, "LEFT", 5, 0);
UIConfig.title:SetText("LB Updates")

UIConfig.title = UIConfig:CreateFontString(nil, "OVERLAY")
UIConfig.title:SetFontObject("GameFontHighlight")
UIConfig.title:SetPoint("LEFT", UIConfig, "LEFT", 5, 20);
UIConfig.title:SetText("Advertisment:")

UIConfig.title = UIConfig:CreateFontString(nil, "OVERLAY")
UIConfig.title:SetFontObject("GameFontHighlight")
UIConfig.title:SetPoint("LEFT", UIConfig, "LEFT", 5, 10);
UIConfig.title:SetText("LevelBuddy")

UIConfig.title = UIConfig:CreateFontString(nil, "OVERLAY")
UIConfig.title:SetFontObject("GameFontHighlight")
UIConfig.title:SetPoint("LEFT", UIConfig, "LEFT", 5, 0);
UIConfig.title:SetText("by darkenmoonz!")

UIConfig.title = UIConfig:CreateFontString(nil, "OVERLAY")
UIConfig.title:SetFontObject("GameFontHighlight")
UIConfig.title:SetPoint("LEFT", UIConfig, "LEFT", 5, -10);
UIConfig.title:SetText("")

UIConfig.title = UIConfig:CreateFontString(nil, "OVERLAY")
UIConfig.title:SetFontObject("GameFontHighlight")
UIConfig.title:SetPoint("LEFT", UIConfig, "LEFT", 5, -20);
UIConfig.title:SetText("Talk to darkenmoonz to put ads here")

UIConfig.title = UIConfig:CreateFontString(nil, "OVERLAY")
UIConfig.title:SetFontObject("GameFontHighlight")
UIConfig.title:SetPoint("LEFT", UIConfig, "LEFT", 5, -30);
UIConfig.title:SetText("--------------------")

UIConfig.title = UIConfig:CreateFontString(nil, "OVERLAY")
UIConfig.title:SetFontObject("GameFontHighlight")
UIConfig.title:SetPoint("LEFT", UIConfig, "LEFT", 5, -40);
UIConfig.title:SetText("New:")

UIConfig.title = UIConfig:CreateFontString(nil, "OVERLAY")
UIConfig.title:SetFontObject("GameFontHighlight")
UIConfig.title:SetPoint("LEFT", UIConfig, "LEFT", 5, -50);
UIConfig.title:SetText("New commands")

UIConfig.title = UIConfig:CreateFontString(nil, "OVERLAY")
UIConfig.title:SetFontObject("GameFontHighlight")
UIConfig.title:SetPoint("LEFT", UIConfig, "LEFT", 5, -60);
UIConfig.title:SetText("list coming soon.")